org.apache.lucene.index

## Class ReaderSlice

- java.lang.Object
- - org.apache.lucene.index.ReaderSlice

    public final class ReaderSlice
    extends Object

Subreader slice from a parent composite reader.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Field Summary

Fields
`static ReaderSlice[]` `EMPTY_ARRAY` Zero-length `ReaderSlice` array.
`int` `length` Number of documents in this slice.
`int` `readerIndex` Sub-reader index for this slice.
`int` `start` Document ID this slice starts from.

### Constructor Summary

Constructors
Constructor and Description
`ReaderSlice(int start, int length, int readerIndex)` Sole constructor.

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EMPTY_ARRAY

    public static final ReaderSlice[] EMPTY_ARRAY

Zero-length `ReaderSlice` array.

#### start

    public final int start

Document ID this slice starts from.

#### length

    public final int length

Number of documents in this slice.

#### readerIndex

    public final int readerIndex

Sub-reader index for this slice.

### Constructor Detail

#### ReaderSlice

    public ReaderSlice(int start,
               int length,
               int readerIndex)

Sole constructor.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`